/* ==========================================
   ヘッダー・フッター
========================================== */
header {
  padding: 0 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: relative;
  height: 52px;
}
header::before,
header::after {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: '';
}
header::before {
  bottom: 2px;
  background: repeating-linear-gradient(
    135deg,
    transparent,
    transparent 1px,
    #717171 1px,
    #717171 2px
  );
}
header::after {
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    from(rgba(50, 50, 50, 1)),
    color-stop(5%, rgba(56, 56, 56, 1)),
    color-stop(20%, rgba(38, 38, 38, 1)),
    color-stop(50%, rgba(61, 61, 61, 1)),
    to(rgba(100, 100, 100, 0.8))
  );
  background: linear-gradient(
    to bottom,
    rgba(50, 50, 50, 1) 0%,
    rgba(56, 56, 56, 1) 5%,
    rgba(38, 38, 38, 1) 20%,
    rgba(61, 61, 61, 1) 50%,
    rgba(100, 100, 100, 0.8) 100%
  );
}
header a {
  margin: 5px 0 0 0;
  z-index: 1;
}
footer {
  line-height: 1;
  color: #fff;
  font-family: -apple-system, BlinkMacSystemFont, 'Helvetica Neue', 'Segoe UI',
    'Hiragino Kaku Gothic ProN', 'ヒラギノ角ゴ ProN W3', 'Meiryo UI', Meiryo,
    sans-serif;
  font-size: 12px;
  text-align: center;
}
footer dl {
  border-top: 1px solid #969696;
  border-bottom: 1px solid #969696;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  height: 84px;
  background: url('../img/bg_link.jpg') repeat-x center / contain;
  font-size: 12px;
}
footer a {
  color: inherit;
  text-decoration: underline;
}
footer a:hover {
  text-decoration: none;
}
footer dt {
  margin: 0 2em 0 0;
  font-weight: bold;
}
footer ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
}
footer li::after {
  margin: 0 0.5em;
  content: '｜';
}
footer li:last-child::after {
  margin: 0;
  content: none;
}
footer .copyright {
  padding: 20px;
  line-height: 1.6;
  -webkit-box-shadow: 0 5px 5px -2px #000 inset;
  box-shadow: 0 5px 5px -2px #000 inset;
  background: #000
    repeating-linear-gradient(
      135deg,
      transparent,
      transparent 3px,
      #323232 3px,
      #323232 4px
    );
}
